routes/web.php
<?php

use App\Http\Controllers\FilmController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::resource('/', FilmController::class);

Route::resource('films', FilmController::class);

Route::get('/film', function () {
    return 'Hello World';
})->name('film-list');

app/Models/Film.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Film extends Model
{
    use HasFactory;

    protected $fillable = [
        'title',
        'director',
        'producer',
        'year',
        'budget',
        'rating',
        'description'
    ];
}

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var string[]
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/FilmController.php
<?php

namespace App\Http\Controllers;

use App\Models\Film;
use Illuminate\Http\Request;

class FilmController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = Film::latest()->paginate(5);

        return view('films.index',compact('data'))
            ->with('i', (request()->input('page', 1) - 1) * 5);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('films.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'title' => 'required',
            'director' => 'required',
            'producer' => 'required',
            'year' => 'required',
            'budget' => 'required',
            'rating' => 'required',
            'description' => 'required',
        ]);

        Film::create($request->all());

        return redirect()->route('films.index')
            ->with('success','Film created successfully.');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Film  $film
     * @return \Illuminate\Http\Response
     */
    public function show(Film $film)
    {
        return view('films.show',compact('film'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Film  $film
     * @return \Illuminate\Http\Response
     */
    public function edit(Film $film)
    {
        return view('films.edit',compact('film'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Film  $film
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Film $film)
    {
        $request->validate([
            'title' => 'required',
            'director' => 'required',
            'producer' => 'required',
            'year' => 'required',
            'budget' => 'required',
            'rating' => 'required',
            'description' => 'required',
        ]);

        $film->update($request->all());

        return redirect()->route('films.index')
            ->with('success','Film updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Film  $film
     * @return \Illuminate\Http\Response
     */
    public function destroy(Film $film)
    {
        $film->delete();

        return redirect()->route('films.index')
            ->with('success','Film deleted successfully');
    }
}

app/Http/Controllers/FilmController1.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class FilmController1 extends Controller
{
    use HasFactory;
    protected $fillable = [
        'Title',
        'Director',
        'Writer',
        'Producers',
        'Stars',
        'Rating',
        'Popularity',
        'RunningTime',
        'Year',
        'Country',
        'Budget',
    ];

    protected $release = [
        'Year' => 'datetime',
    ];
}

resources/views/films/create.blade.php
@extends('films.layout')

@section('content')
    <div class="row">
        <div class="col-lg-12 mt-5">
            <div class="">
                <h2>Add New Film</h2>
            </div>
            <div class="mt-3 mb-4">
                <a class="btn btn-primary" href="{{ route('films.index') }}"> Back</a>
            </div>
        </div>
    </div>

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Error!</strong> There were some problems.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('films.store') }}" method="POST">
        @csrf

        <div class="row">
{{--            title--}}

            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Title:</strong>
                    <input type="text" name="title" class="form-control" placeholder="Enter Title">
                </div>
            </div>

{{--            director--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Director:</strong>
                    <input type="text" name="director" class="form-control" placeholder="Enter Director">
                </div>
            </div>

{{--            producer--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Producer:</strong>
                    <input type="text" name="producer" class="form-control" placeholder="Enter Producer">
                </div>
            </div>

{{--            year--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Year:</strong>
                    <input type="text" name="year" class="form-control" placeholder="Enter Year">
                </div>
            </div>

{{--            budget--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Budget:</strong>
                    <input type="text" name="budget" class="form-control" placeholder="Enter Budget">
                </div>
            </div>

{{--            rating--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Rating:</strong>
                    <input type="text" name="rating" class="form-control" placeholder="Enter Rating">
                </div>
            </div>

{{--            description--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Description:</strong>
                    <textarea class="form-control" style="height:150px" name="description" placeholder="Enter Description"></textarea>
                </div>
            </div>
            <div class="col-lg-12 d-grid gap-2">
                <button type="submit" class="btn btn-primary ">Submit</button>
            </div>
        </div>

    </form>
@endsection

resources/views/films/edit.blade.php
@extends('films.layout')

@section('content')
    <div class="">
        <div class="col-lg-12 mt-5">
            <div class="left">
                <h2>Edit film</h2>
            </div>
            <div class="mt-3 mb-4">
                <a class="btn btn-primary" href="{{ route('films.index') }}"> Back</a>
            </div>
        </div>
    </div>

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('films.update',$film->id) }}" method="POST">
        @csrf
        @method('PUT')

        <div class="row">

{{--            Title--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Title:</strong>
                    <input type="text" name="title" value="{{ $film->title }}" class="form-control" placeholder="Title">
                </div>
            </div>

{{--            Director--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Director:</strong>
                    <input type="text" name="title" value="{{ $film->director }}" class="form-control" placeholder="Director">
                </div>
            </div>

{{--            Producer--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Producer:</strong>
                    <input type="text" name="title" value="{{ $film->producer }}" class="form-control" placeholder="Producer">
                </div>
            </div>

{{--            Year--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Year:</strong>
                    <input type="text" name="title" value="{{ $film->year }}" class="form-control" placeholder="Year">
                </div>
            </div>

{{--            Budget--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Budget:</strong>
                    <input type="text" name="title" value="{{ $film->budget }}" class="form-control" placeholder="Budget">
                </div>
            </div>

{{--            Rating--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Rating:</strong>
                    <input type="text" name="title" value="{{ $film->rating }}" class="form-control" placeholder="Rating">
                </div>
            </div>

{{--            Description--}}
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Description:</strong>
                    <textarea class="form-control" style="height:150px" name="description" placeholder="Detail">{{ $film->description }}</textarea>
                </div>
            </div>
            <div class="col-lg-12 d-grid gap-2">
                <button type="submit" class="btn btn-primary ">Submit</button>
            </div>
        </div>

    </form>
@endsection

resources/views/films/index.blade.php
@extends('films.layout')

@section('content')
    <div class="row mt-5 mb-3">
        <div class="col-lg-12">
            <div>
                <h2>IMDB-mini Rating</h2>
            </div>

            <div>
                <a class="btn btn-primary" href="{{ route('films.create') }}"> Create a New Film</a>
            </div>
        </div>
    </div>

{{--    show messages using session--}}
    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table class="table table-bordered border-secondary table-striped table-hover table-responsive">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Title</th>
                <th scope="col">Director</th>
                <th scope="col">Rating</th>
                <th scope="col">Year</th>
                <th scope="col" width="160px">Actions</th>
            </tr>
        </thead>
        @foreach ($data as $key => $value)
            <tr>
                <th>{{ ++$i }}</th>
                <td>{{ $value->title }}</td>
                <td>{{ \Str::limit($value->director, 100) }}</td>
                <td>{{ \Str::limit($value->rating, 100) }}</td>
                <td>{{ \Str::limit($value->year, 100) }}</td>

                <td>
                    <form action="{{ route('films.destroy',$value->id) }}" method="POST">
                        <a class="btn btn-outline-dark" href="{{ route('films.show',$value->id) }}">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
                                <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z"/>
                            </svg>
                        </a>
                        <a class="btn btn-outline-dark" href="{{ route('films.edit',$value->id) }}">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-pencil" viewBox="0 0 16 16">
                                <path d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5 13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"/>
                            </svg>
                        </a>
                        @csrf {{-- generating csrf token--}}
                        @method('DELETE')
                        <button type="submit" class="btn btn-outline-dark">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-trash" viewBox="0 0 16 16">
                                <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z"/>
                                <path fill-rule="evenodd" d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z"/>
                            </svg>
                        </button>
                    </form>
                </td>
            </tr>
        @endforeach
    </table>
    {!! $data->links() !!}
@endsection

resources/views/films/layout.blade.php
<!DOCTYPE html>
<html>
<head>
    <title>IMDB-mini</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>

<div class="container">
    @yield('content')
</div>

</body>
</html>

resources/views/films/show.blade.php
@extends('films.layout')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Film</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-primary" href="{{ route('films.index') }}"> Back</a>
            </div>
        </div>
    </div>

    <div class="row">

{{--            title--}}
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Title:</strong>
                {{ $film->title }}
            </div>
        </div>

{{--            director--}}
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Director:</strong>
                {{ $film->director }}
            </div>
        </div>
{{--            producer--}}
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Producer:</strong>
                {{ $film->producer }}
            </div>
        </div>

{{--            year--}}
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Year:</strong>
                {{ $film->year }}
            </div>
        </div>

{{--            budget--}}
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Budget:</strong>
                {{ $film->budget }}
            </div>
        </div>

{{--            rating--}}
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Rating:</strong>
                {{ $film->rating }}
            </div>
        </div>

{{--            description--}}
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Description:</strong>
                {{ $film->description }}
            </div>
        </div>
    </div>
@endsection

resources/views/home.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <title>IMDB-mini</title>
    <link rel="stylesheet" href="/resources/css/app.css">
</head>
<body>
    Hello!
</body>
</html>